﻿using System;
using System.Collections.Generic;
using System.Linq;

using Foundation;
using UIKit;
using Syncfusion.SfGauge.XForms.iOS;

namespace SyncFusionTestBench.iOS
{
	// The UIApplicationDelegate for the application. This class is responsible for launching the 
	// User Interface of the application, as well as listening (and optionally responding) to 
	// application events from iOS.
	[Register("AppDelegate")]
	public partial class AppDelegate : global::Xamarin.Forms.Platform.iOS.FormsApplicationDelegate
	{
		private SyncFusionTestBench.App _app;
		//
		// This method is invoked when the application has loaded and is ready to run. In this 
		// method you should instantiate the window, load the UI into it and then make the window
		// visible.
		//
		// You have 17 seconds to return from this method, or iOS will terminate your application.
		//
		public override bool FinishedLaunching(UIApplication app, NSDictionary options)
		{
			global::Xamarin.Forms.Forms.Init();

			new SfGaugeRenderer();

			_app = new App();

			//LoadApplication(new SyncFusionTestBench.App());
			LoadApplication(_app);
	
			return base.FinishedLaunching(app, options);
		}

		public override void WillChangeStatusBarOrientation(UIApplication application, UIInterfaceOrientation newStatusBarOrientation, double duration)
		{
			//base.WillChangeStatusBarOrientation(application, newStatusBarOrientation, duration);
			if (newStatusBarOrientation == UIInterfaceOrientation.LandscapeLeft || newStatusBarOrientation == UIInterfaceOrientation.LandscapeRight)
			{
				_app.ShowLandscape();
			}

			if (newStatusBarOrientation == UIInterfaceOrientation.Portrait)
			{
				_app.ShowPortrait();
			}
		}
	}
}
