﻿using System;

using Android.App;
using Android.Content.PM;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;

namespace SyncFusionTestBench.Droid
{
	[Activity(Label = "SyncFusionTestBench", Icon = "@drawable/icon", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
	public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsApplicationActivity
	{
		protected SyncFusionTestBench.App _app;

		protected override void OnCreate(Bundle bundle)
		{
			base.OnCreate(bundle);

			global::Xamarin.Forms.Forms.Init(this, bundle);
            _app = new App();
			//LoadApplication(new SyncFusionTestBench.App());
			LoadApplication(_app);
		}

		public override void OnConfigurationChanged(Android.Content.Res.Configuration newConfig)
		{
			base.OnConfigurationChanged(newConfig);
			if (newConfig.Orientation == Android.Content.Res.Orientation.Landscape)
			{
				_app.ShowLandscape();
			}
			else if (newConfig.Orientation == Android.Content.Res.Orientation.Portrait)
			{
				_app.ShowPortrait();
			}
		}
	}
}

