﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;

namespace SyncFusionTestBench.WinPhone
{
	public partial class MainPage : global::Xamarin.Forms.Platform.WinPhone.FormsApplicationPage
	{
		private SyncFusionTestBench.App _app;

		public MainPage()
		{
			InitializeComponent();
			SupportedOrientations = SupportedPageOrientation.PortraitOrLandscape;

			new Syncfusion.SfGauge.XForms.WinPhone.SfGaugeRenderer();

			global::Xamarin.Forms.Forms.Init();
			_app = new SyncFusionTestBench.App();
			//LoadApplication(new SyncFusionTestBench.App());
			LoadApplication(_app);

            OrientationChanged += MainPage_OrientationChanged;
		}

		void MainPage_OrientationChanged(object sender, OrientationChangedEventArgs e)
		{
			if (e.Orientation == PageOrientation.Landscape || e.Orientation == PageOrientation.LandscapeLeft || e.Orientation == PageOrientation.LandscapeRight)
			{
				_app.ShowLandscape();
			}

			if (e.Orientation == PageOrientation.Portrait || e.Orientation == PageOrientation.PortraitDown || e.Orientation == PageOrientation.PortraitUp)
			{
				_app.ShowPortrait();
			}
		}
	}
}
